For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings

Get

get

Retrieve the Web Admin settings. A local administrator on the Web Server or a RAS Root administrator can call this command.

Responses
200

Success

application/json; api-version=1.0

RAS Web Administration Service settings

allowedHostsstring · nullableOptional

Specifies the Allowed Hosts

get/api/WebService/settings
GET /api/WebService/settings HTTP/1.1
Accept: */*
{
  "allowedHosts": "text",
  "kestrel": {
    "endPoints": {
      "httpsDefaultCert": {
        "url": "text",
        "certificate": {
          "path": "text",
          "encryptedPassword": "text"
        }
      }
    }
  },
  "webAdminService": {
    "webConsole": {
      "enable": true,
      "basePath": "text",
      "pollingInterval": 1
    },
    "rest": {
      "enable": true
    },
    "rasServer": {
      "licenseServer": "text",
      "secondaryServers": [
        "text"
      ]
    },
    "session": {
      "expire": 1,
      "disconnectDelay": 1
    }
  },
  "logging": {
    "webAdmin": {
      "logLevel": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    }
  },
  "routes": [
    {
      "downstreamPathTemplate": "text",
      "downstreamScheme": "text",
      "downstreamHostAndPorts": [
        {
          "host": "text",
          "port": 1
        }
      ],
      "upstreamPathTemplate": "text"
    }
  ],
  "rateLimits": {
    "global": {
      "window": 1,
      "autoReplenishment": true,
      "permitLimit": 1,
      "queueProcessingOrder": [
        "0 = OldestFirst",
        "1 = NewestFirst"
      ],
      "queueLimit": 1
    },
    "logon": {
      "window": 1,
      "autoReplenishment": true,
      "permitLimit": 1,
      "queueProcessingOrder": [
        "0 = OldestFirst",
        "1 = NewestFirst"
      ],
      "queueLimit": 1
    }
  }
}

Update

put

Modify the Web Admin settings. A local administrator on the Web Server or a RAS Root administrator can call this command.

Body

Update RAS Web Administration Service settings

allowedHostsstring · min: 1 · max: 255 · nullableOptional

Specifies the Allowed Hosts.

httpsUrlstring · nullableOptional

Specifies the HTTPS URL.

enableWebConsoleboolean · nullableOptional

Specifies whether to enable/disable Web Console.

webConsoleBasePathstring · min: 1 · max: 255 · nullableOptional

Specifies the Web Console Base Path. The RAS Web Administration Server Service needs to be manually restarted for the BasePath change to be effective.

webConsolePollingIntervalinteger · int32 · nullableOptional

Specifies the Web Console Polling Interval (in seconds).

enableRESTboolean · nullableOptional

Specifies whether to enable/disable REST.

rasLicensingServerstring · nullableOptional

Specifies the RAS Licensing Server.

rasSecondaryServersstring[] · nullableOptional

Specifies the RAS Secondary Servers.

sessionExpireinteger · int32 · nullableOptional

Specifies the Session Expiry time in minutes.

sessionDisconnectDelayinteger · int32 · nullableOptional

Specifies the Session Disconnect Delay in seconds.

defaultLogLevelstring · nullableOptional

Specifies the Microsoft Log Level for the RAS Web Administration Service. Accepted values: Trace, Debug, Information, Warning, Error, Critical, None.

globalWindowinteger · int32 · nullableOptional

Sets the time window (in seconds) for global rate limiting. Default: 10 seconds. Only 50 requests are allowed per window by default. When the limit is reached, transactions are not allowed until the current window expires and a new window begins

globalAutoReplenishmentboolean · nullableOptional

Automatically resets the global rate limit counters at the end of each window (default is true).

globalPermitLimitinteger · int32 · nullableOptional

Sets the maximum number of global requests allowed in each rate limit window. Default: 50 requests per 10 seconds. When the limit is reached, transactions are not allowed until the current window expires and a new window begins

globalQueueProcessingOrderstring · enumOptional

Controls the behavior when not enough resources can be leased.

Possible values:
globalQueueLimitinteger · int32 · nullableOptional

Specifies the maximum number of global requests that can be queued when the rate limit is exceeded.

loginWindowinteger · int32 · nullableOptional

Sets the time window (in seconds) for logon rate limiting. Default: 300 seconds. Only 4 logon requests are allowed per window by default. When the limit is reached, transactions are not allowed until the current window expires and a new window begins

loginAutoReplenishmentboolean · nullableOptional

Automatically resets the specific rate limit counters at the end of each window (default is true).

loginPermitLimitinteger · int32 · nullableOptional

Sets the maximum number of logon requests allowed in each rate limit window. Default: 4 requests per 300 seconds. When the limit is reached, transactions are not allowed until the current window expires and a new window begins

loginQueueProcessingOrderstring · enumOptional

Controls the behavior when not enough resources can be leased.

Possible values:
loginQueueLimitinteger · int32 · nullableOptional

Specifies the maximum number of specific requests that can be queued when the rate limit is exceeded.

Responses
204

No Content

No content

put/api/WebService/settings
PUT /api/WebService/settings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 581

{
  "allowedHosts": "text",
  "httpsUrl": "text",
  "enableWebConsole": true,
  "webConsoleBasePath": "text",
  "webConsolePollingInterval": 1,
  "enableREST": true,
  "rasLicensingServer": "text",
  "rasSecondaryServers": [
    "text"
  ],
  "sessionExpire": 1,
  "sessionDisconnectDelay": 1,
  "defaultLogLevel": "text",
  "globalWindow": 1,
  "globalAutoReplenishment": true,
  "globalPermitLimit": 1,
  "globalQueueProcessingOrder": [
    "0 = OldestFirst",
    "1 = NewestFirst"
  ],
  "globalQueueLimit": 1,
  "loginWindow": 1,
  "loginAutoReplenishment": true,
  "loginPermitLimit": 1,
  "loginQueueProcessingOrder": [
    "0 = OldestFirst",
    "1 = NewestFirst"
  ],
  "loginQueueLimit": 1
}

No content

Last updated